MYSQL-SECRET-STORE-LOGIN-PATH(1)

NAME
mysql-secret-store-login-path - Secret store interface for MySQL login credentails

SYNOPSIS
mysql-secret-store-login-path <version|store|get|erase|list>

DESCRIPTION

mysql-secret-store-login-path interacts with the MySQL secret store system to manage user login credentials. It can store, get, and erase secrets based on JSON data provided through standard input.

OPTIONS

version
    Display the program version and exit.

store
    Store a new set of credentials in the secret store. This option requires JSON input through stdin containing the following fields:

    {
        "ServerURL": "user@host:port",
        "SecretType": "<secret type>",
        "Secret": "<secret>"
    }

get Get a set of credentials based on server URL and secret type. The data is returned through stdout as a JSON object matching what was stored previously. This option requires JSON input through stdin containing the following fields:

    {
        "ServerURL": "user@host:port",
        "SecretType": "<secret type>"
    }

erase
    Remove a set of credentials based on server URL and secret type. This option requires JSON input through stdin containing the following fields:

    {
        "ServerURL": "user@host:port",
        "SecretType": "<secret type>"
    }

list
    List all available credential URLs and secret types. The data is returened as a JSON list through stdout.

EXAMPLES
Store credentails for local root user:
cat <<EOF | mysql-secret-store-login-path store
{
    "ServerURL": "root@localhost:3306",
    "SecretType": "password",
    "Secret": "P@ssW0rd"
}
EOF

Get credentails for local root user:
cat <<EOF | mysql-secret-store-login-path get
{
    "ServerURL": "root@localhost:3306",
    "SecretType": "password"
}
EOF

Erase credentails for local root user:
cat <<EOF | mysql-secret-store-login-path erase
{
    "ServerURL": "root@localhost:3306",
    "SecretType": "password"
}
EOF

List all credentails:
mysql-secret-store-login-path list